<app-header></app-header>
<p-breadcrumb [model]="items" [home]="home"></p-breadcrumb>

<div class="main">
  <div class="leftwrapper">
    <div class="innerwrapper">
      <div class="wrapper50" style="margin-right: 10px">
        <h1>Welcome {{ currentUser.firstName }} ! You currently have</h1>
        <div class="card">
          <p class="amount">{{ currentUser.wallet }} $</p>
        </div>
        <h1>Transfer money</h1>
        <div class="form" style="overflow: scoll">
          <div style="width: 100%">
            <div class="labelwrapper">
              <label for="bankname">Select bank account</label>
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon">
                  <i class="pi pi-credit-card"></i>
                </span>
                <span style="width: 100%" class="p-float-label">
                  <p-dropdown
                    [(ngModel)]="selectedbank"
                    [options]="currentUser.banques"
                    optionLabel="nom"></p-dropdown>
                </span>
              </div>
            </div>
          </div>
          <div class="name">
            <div class="radio">
              <div class="radiowrapper">
                <p-radioButton
                  name="groupname"
                  value="deposit"
                  inputId="deposit"
                  [(ngModel)]="selectedradio"></p-radioButton>
                <label for="deposit">Deposit</label>
              </div>
              <div class="radiowrapper" style="margin-top: 15px">
                <p-radioButton
                  name="groupname"
                  value="withdraw"
                  inputId="withdraw"
                  [(ngModel)]="selectedradio"></p-radioButton>
                <label for="withdraw">Withdraw</label>
              </div>
            </div>
            <div class="labelwrapper">
              <label for="amount">Amount</label>
              <div class="p-inputgroup">
                <p-inputNumber [(ngModel)]="amount"></p-inputNumber>
                <span class="p-inputgroup-addon">
                  <i class="pi pi-dollar"></i>
                </span>
              </div>
            </div>
          </div>
          <div class="btn">
            <button
              pButton
              type="button"
              label="Transfer"
              (click)="transferMoney()"></button>
          </div>
        </div>
      </div>

      <div class="wrapper50" style="margin-left: 10px">
        <h1>Bank accounts</h1>
        <div class="friendlist">
          <app-wallet-card
            *ngFor="let wallet of currentUser.banques"
            [wallet]="wallet"></app-wallet-card>
        </div>
      </div>
    </div>
    <h1>Add new bank account</h1>
    <div class="form">
      <div class="labelwrapper">
        <label for="bankname">Name</label>
        <div class="p-inputgroup">
          <input
            id="bankname"
            type="text"
            pInputText
            placeholder="Name"
            [(ngModel)]="addWallet.nom" />
        </div>
      </div>
      <div class="name">
        <div class="labelwrapper first">
          <label for="iban">IBAN</label>
          <div class="p-inputgroup">
            <span class="p-inputgroup-addon"
              ><i class="pi pi-credit-card"></i>
            </span>
            <input
              id="iban"
              type="text"
              pInputText
              placeholder="IBAN"
              [(ngModel)]="addWallet.iban" />
          </div>
        </div>
        <div class="labelwrapper">
          <label for="bic">BIC</label>
          <input
            id="bic"
            type="text"
            pInputText
            placeholder="BIC"
            [(ngModel)]="addWallet.bic" />
        </div>
      </div>
      <div class="btn">
        <button
          pButton
          type="button"
          label="Add wallet"
          (click)="addBank()"></button>
      </div>
    </div>
  </div>
  <div class="rightwrapper">
    <h1>Add connection</h1>
    <div class="addfriend">
      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-envelope"></i></span>
        <input
          id="searchmail"
          type="text"
          pInputText
          placeholder="E-mail"
          [(ngModel)]="searchMail" />
      </div>
      <div class="btn">
        <button
          pButton
          type="button"
          label="Add connection"
          (click)="addConnection()"></button>
      </div>
    </div>

    <h1>Connections list</h1>
    <div class="friendlist">
      <app-friendcard
        *ngFor="let user of currentUser.relations"
        [user]="user"></app-friendcard>
    </div>
  </div>
</div>
<p-confirmDialog header="Confirmation"> </p-confirmDialog>
